# Print content on a reader

To print content on a reader’s embedded printer, send a `multipart/form-data` request with the PNG or JPEG image file to print. Use black and white images for best results.

See the [integration guide](https://docs.stripe.com/terminal/features/print-content.md?terminal-sdk-platform=server-driven) for more details.

**NOTE:** This endpoint lives on the `files.stripe.com` subdomain instead of `api.stripe.com`.

## Request

```curl
curl https://files.stripe.com/v1/terminal/readers/{{READER_ID}}/print_content \
-u "<<YOUR_SECRET_KEY>>" \
-F type=image \
-F "image=@/path/to/a/image.png"
```

### Response

```json
{
  "id": "tmr_FDOt2wlRZEdpd7",
  "object": "terminal.reader",
  "action": {
    "failure_code": null,
    "failure_message": null,
    "print_content": {
      "image": {
        "created_at": 1748971913,
        "filename": "image.png",
        "size": 15864,
        "type": "png"
      },
      "type": "image"
    },
    "status": "in_progress",
    "type": "print_content"
  },
  "device_sw_version": "2.37.2.0",
  "device_type": "simulated_wisepos_e",
  "ip_address": "0.0.0.0",
  "label": "Blue Rabbit",
  "last_seen_at": 1695166525506,
  "livemode": false,
  "location": "tml_FDOtHwxAAdIJOh",
  "metadata": {},
  "serial_number": "259cd19c-b902-4730-96a1-09183be6e7f7",
  "status": "online"
}
```

## Returns

Returns an updated `Reader` resource.

## Parameters

- `image` (map, required)
  The image file to print. Must be a PNG or JPEG not exceeding 100 kB in size. Use black and white images for best results. Specifications must follow RFC 2388, which defines file transfers for the `multipart/form-data` protocol.

- `type` (enum, required)
  The type of content to print. Currently supports `image`.
Possible enum values:
  - `image`
    Print an image on the reader’s embedded printer.
